Não consigo trabalhar com meu Broadcom BCM4331 wifi em 14.04

4

Acabei de instalar o 14.04 no meu macbook de meados de 2012, e adorei. Exceto pelo fato de que passei as últimas 24 horas tentando fazer meu wifi funcionar.

Veja algumas informações:

02:00.0 Network controller: Broadcom Corporation BCM4331 802.11a/b/g/n (rev 02)

Já experimentei tudo neste site, exceto:

  

Desinstale o pacote bcmwl-kernel-source emitindo o seguinte   comando em um terminal:

sudo apt-get remove bcmwl-kernel-source
     

Certifique-se de que firmware-b43-installer e b43-fwcutter   pacotes são instalados (é claro que você vai precisar de internet por outros   significa):

sudo apt-get install firmware-b43-installer b43-fwcutter
     

Digite no terminal:

cat /etc/modprobe.d/* | egrep 'bcm'
     

(você pode querer copiar isso) e ver se o termo 'blacklist bcm43xx' é   há. Se estiver, digite:

cd /etc/modprobe.d/
     

e depois

sudo gedit blacklist.conf
     

coloque um # na frente da linha: blacklist bcm43xx , depois salve o   arquivo (eu estava recebendo mensagens de erro no terminal sobre não ser   capaz de salvar, mas na verdade salvou corretamente).

     

reiniciar

Isso funcionará? Se não, alguém pode sugerir uma solução?

    
por Harv 28.02.2015 / 08:18

2 respostas

4

Acabei de copiar as informações do driver do comando lspci e procurei neste site. Eu encontrei a resposta em Wi-Fi trabalhando no Macbook Pro 8.2 no Ubuntu 12.04 .

Eu tive que mudar algumas coisas para fazer isso funcionar para mim. Aqui está o que eu fiz:

Execute o seguinte no terminal:

sudo apt-get install b43-fwcutter firmware-b43-installer
sudo dpkg-reconfigure firmware-b43-installer

E muita extração acontecerá.

Em seguida, digite:

dmesg | tail -2

Você receberá uma resposta assim:

[ 5866.172626] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 5870.282827] applesmc: FS! : read arg fail
    
por Harv 28.02.2015 / 09:24
0

Meu script:

#!/bin/sh
#
# install_bcm43xx_firmware
#
# This script tries to download and install the firmware needed to run
# WLAN cards using Broadcom's bcm43xx chips.

# firmware for b43
URL1=http://www.lwfinger.com/b43-firmware
FILE1=broadcom-wl-5.100.138.tar.bz2
FIRMWARE1=broadcom-wl-5.100.138/linux/wl_apsta.o

# firmware for b43legacy
URL2=http://downloads.openwrt.org/sources
FILE2=wl_apsta-3.130.20.0.o

test -z "$( type -p curl)" && { echo "'curl' is not installed, aborting. Please install 'curl' and try again."; exit 1; }
test -z "$( type -p b43-fwcutter)" && { echo "'b43-fwcutter' is not installed, aborting. Please install 'b43-fwcutter' and try again."; exit 1; }
test -d /lib/firmware || mkdir -p /lib/firmware

TMPDIR=$(mktemp -d /var/tmp/bcm.XXXXXX) || exit 1

pushd $TMPDIR >/dev/null

echo "Downloading b43 firmware"
curl -# -f -o $FILE1 $URL1/$FILE1
if [ $? -eq 0 ];then
    echo "Extracting b43 firmware"
    tar xjf $FILE1
    b43-fwcutter -w /lib/firmware $FIRMWARE1
else
    echo "Could not download b43 firmware. Please look at /usr/share/doc/packages/b43-fwcutter/README."
fi

echo
echo "Downloading b43legacy firmware"
curl -# -f -o $FILE2 $URL2/$FILE2
if [ $? -eq 0 ];then
    echo "Extracting b43legacy firmware"
    b43-fwcutter -w /lib/firmware $FILE2
else
    echo "Could not download b43legacy firmware. Please look at /usr/share/doc/packages/b43-fwcutter/README."
fi

echo
if [ -d /lib/firmware/b43 ] ; then
    echo "b43 firmware successfully installed."
    sync && sync
    /sbin/modprobe -r b43
    /sbin/modprobe b43
else
    echo "b43 firmware installation failed."
fi
if [ -d /lib/firmware/b43legacy ] ; then
    echo "b43legacy firmware successfully installed."
    sync && sync
    /sbin/modprobe -r b43legacy
    /sbin/modprobe b43legacy
else
    echo "b43legacy firmware installation failed."
fi

popd >/dev/null
rm -rf $TMPDIR

exit 0

Para usar, copie o conteúdo em um arquivo local com este nome:

install_bcm4331.sh

Em seguida, torne o arquivo executável

chmod +x install_bcm4332.sh

Em seguida, execute o script

sudo ./install_bcm4332.sh

Se você quiser executar o script quando iniciar o sistema, copie o arquivo para o diretório /etc/rc.d/init.d/.

    
por centos os 14.02.2017 / 03:25